> For the complete documentation index, see [llms.txt](https://developers.didomi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.didomi.io/api-and-platform/consents/events/query-consent-events.md).

# Query consent events

You can query consent events for a user by calling the [`GET /consents/events`](https://didomi.stoplight.io/docs/didomi-api/bb2b8f182cd9e-retrieve-events) endpoint.

You must specify either the organization user ID (`organization_user_id` query-string parameter) or the Didomi user ID (`user_id` query-string parameter) of the end-user for which you are querying events.

By default, consent events are registered under GDPR regulation. To query consent events from another regulation, you must specify the regulation with the `regulation` query-string parameter

{% hint style="info" %}
[Click here ](https://developers.didomi.io/api-and-platform/data-manager/regulations)to review all regulations supported by Didomi.
{% endhint %}

&#x20;([See all regulations supported by Didomi](/api-and-platform/data-manager/regulations.md#regulations-available)).

**Example**

```javascript
GET /consents/events
  ?organization_id={organization_id}
  &organization_user_id={organization_user_id}
  &regulation=cpra

RESPONSE:
{
  "data": [
    {
      "id": "00b89328-e3d5-4068-b346-8f4fcb4618df",
      
      "user": {
        "id": "a3722cd3-f2e4-4451-a564-83f5e8921449",
        "metadata": {
           ...custom user metadata
        }
      },
      
      "consents": {
        "purposes": [
          {
            "id": "purpose_id",
            "enabled": true
          }
        ]
      }
    }
  ]
}
```

### Query pending events

By default, the `GET /consents/events` endpoint only returns confirmed events. To get pending events, you must specify a status filter in the query-string parameter.

For instance, to get all confirmed and pending events, you would do:

```javascript
GET /consents/events
  ?organization_id={organization_id}
  &organization_user_id={organization_user_id}
  &status[$in]=confirmed
  &status[$in]=pending_approval

RESPONSE:
{
  "data": [
    {
      "id": "00b89328-e3d5-4068-b346-8f4fcb4618df",
      
      "user": {
        "id": "a3722cd3-f2e4-4451-a564-83f5e8921449",
        "metadata": {
           ...custom user metadata
        }
      },
      
      "consents": {
        "purposes": [
          {
            "id": "purpose_id",
            "enabled": true
          }
        ]
      }
    }
  ]
}
```

### Query specific event

You can also query for a specific event by ID by calling `GET /consents/events/:id`.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.didomi.io/api-and-platform/consents/events/query-consent-events.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
